from flask import g, url_for
from flask_login import current_user
from app.blueprints.users.settings.routes import settings as settings_route
from . import bp


@bp.route('/settings', methods=['GET', 'POST'])
def settings():
    g._nopaque_redirect_location_on_post = url_for('.settings')
    return settings_route(current_user.id)
